BEGIN ~JARENT2~

IF ~PartyHasItem("CUMACE02")
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 GOTO 2
END

IF ~~ THEN BEGIN 1
  SAY @3
  IF ~~ THEN DO ~TakePartyItem("CUMACE02")
SmallWait(5)
ForceSpell(Myself,CLERIC_DRAW_UPON_HOLY_MIGHT)
Wait(2)
GiveItem("CUMACE03",LastTalkedToBy)
Wait(1) %ERASEJOURNALENTRY_20014% %ERASEJOURNALENTRY_20015%~ %SOLVED_JOURNAL% @20016 EXIT
END

IF ~~ THEN BEGIN 2
  SAY @3
  IF ~~ THEN DO ~TakePartyItem("CUMACE02")
SmallWait(5)
ForceSpell(Myself,CLERIC_DRAW_UPON_HOLY_MIGHT)
Wait(2)
GiveItem("CUMACE03",LastTalkedToBy)
Wait(1) %ERASEJOURNALENTRY_20014% %ERASEJOURNALENTRY_20015%~  %SOLVED_JOURNAL% @20016 EXIT
END

IF ~!PartyHasItem("CUMACE02")
~ THEN BEGIN 3
  SAY @6
  IF ~~ THEN EXIT
END
